Package org.apache.wiki.tags

## Class VariableTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.apache.wiki.tags.WikiTagBase
    - - org.apache.wiki.tags.VariableTag

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

    public class VariableTag
    extends WikiTagBase

Returns the value of an Wiki variable.

Attributes

- var - Name of the variable. Required.
- default - Revert to this value, if the value of "var" is null. If left out, this tag will produce a concise error message if the named variable is not found. Set to empty (default="") to hide the message.

A default value implies failmode='quiet'.

Since:
  2.0
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`VariableTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doWikiStartTag()` This method is allowed to do pretty much whatever he wants.
`java.lang.String` `getVar()`
`void` `initTag()` This method is called when the tag is encountered within a new request, but before the setXXX() methods are called.
`void` `setDefault​(java.lang.String arg)`
`void` `setVar​(java.lang.String arg)`

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doEndTag, doFinally, doStartTag, setId, setPageContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VariableTag

    public VariableTag()

### Method Detail

#### initTag

    public void initTag()

Description copied from class: `WikiTagBase`
This method is called when the tag is encountered within a new request, but before the setXXX() methods are called. The default implementation does nothing.

Overrides:
  `initTag` in class `WikiTagBase`

#### getVar

    public java.lang.String getVar()

#### setVar

    public void setVar​(java.lang.String arg)

#### setDefault

    public void setDefault​(java.lang.String arg)

#### doWikiStartTag

    public final int doWikiStartTag()
                             throws javax.servlet.jsp.JspException,
                                    java.io.IOException

Description copied from class: `WikiTagBase`
This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Specified by:
  `doWikiStartTag` in class `WikiTagBase`
Throws:
  `javax.servlet.jsp.JspException`
  `java.io.IOException`